ForgetTask (Ant Contrib)
Date: 2016-06-25

net.sf.antcontrib.process

## Class ForgetTask

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.apache.tools.ant.taskdefs.Sequential
      - - net.sf.antcontrib.process.ForgetTask

- All Implemented Interfaces:
    java.lang.Cloneable, java.lang.Runnable, org.apache.tools.ant.TaskContainer

      public class ForgetTask
      extends org.apache.tools.ant.taskdefs.Sequential
      implements java.lang.Runnable

  Place class description here.
  Since:
  Author:
    Matthew Inger,

- - ### Field Summary

    - ### Fields inherited from class org.apache.tools.ant.Task

      `target, taskName, taskType, wrapper`

    - ### Fields inherited from class org.apache.tools.ant.ProjectComponent

      `description, location, project`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ForgetTask()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute()`
    `void` | `run()`
    `void` | `setDaemon(boolean daemon)`

    - ### Methods inherited from class org.apache.tools.ant.taskdefs.Sequential

      `addTask`

    - ### Methods inherited from class org.apache.tools.ant.Task

      `bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

    - ### Methods inherited from class org.apache.tools.ant.ProjectComponent

      `clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ForgetTask

          public ForgetTask()

  - ### Method Detail

    - #### setDaemon

          public void setDaemon(boolean daemon)

    - #### execute

          public void execute()

      Overrides:
        `execute` in class `org.apache.tools.ant.taskdefs.Sequential`

    - #### run

          public void run()

      Specified by:
        `run` in interface `java.lang.Runnable`